Subject: Re: bug#38940: \x1b]8; ; OSC character displayed on hyperlinks shown after calls to `guix describe` or `guix show` on mate-terminal 1.12.1 (Trisquel 8)

From: zimoun <[email-masked]>
Date: Tue, 7 Jan 2020 12:58:09 +0100

Hi Calvin,

On Mon, 6 Jan 2020 at 21:26, Calvin Heim <[email-masked]> wrote:

> > On Sun, 5 Jan 2020 at 07:49, Calvin Heim <[email-masked]> wrote:

> > > When using mate-terminal version 1.12.1 (the default graphical terminal provided in Trisquel 8), Guix commands
> > > that print hyperlinks to the terminal (such as `guix describe` and `guix show`)
> > > print a mangled \x1b]8;; OSC character. I haven't tested the mate-terminal
> > > package provided by Guix though, so this bug may only be visible to Trisquel users
> > > of the Guix package manager relying on their host distribution's default terminal soon
> > > after installing Guix.
> > I have tested with "guix environment --ad-hoc mater-terminal" on
> > foreign distro (Debian) and I do not see an issue.
> >
> > So it probably comes from the Trisquel default configuration.
> >
> I concur.

So, it is not a bug. ;-)

> > > On a related note, the procedure supports-hyperlinks in module (guix ui) checks the
> > > environment variable INSIDE_EMACS to prevent hyperlink mangling when using Emacs.
> > > Perhaps this procedure could be edited to solve this bug.
> > Does "INSIDE_EMACS=1 guix describe" fix the issue?
> Yes.

Put in your configuration "export INSIDE_EMACS=1". :-)

Does the environment variable NO_OSC appears to you more meaningful
than INSIDE_EMACS?
Where do you think this should be documented? Which part of the manual?

All the best,
simon